Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jinfonet.jdbc.obj
Class TableFilterImpl

    java.lang.Object
      com.jinfonet.jdbc.obj.TableFilterImpl

All Implemented Interfaces:
  TableFilter

    public abstract class TableFilterImpl

extends java.lang.Object
implements TableFilter

Constructor Summary
`TableFilterImpl()`

Method Summary
`boolean` | `setAllColumns(java.lang.String[] columns)`
`boolean` | `setSelectedColumn(java.lang.String[] selectedColumn)` push down the selected column base the table.
`boolean` | `setSimpleTableWhere(SimpleTableWhere[] sqlWhere)` push down the where condition based the table.
`boolean` | `setSortByColumn(java.lang.String sortByColumn)` Have join base the sortByColumn, push down the sort column.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableFilterImpl

    public TableFilterImpl()

Method Detail

### setSimpleTableWhere

    public boolean setSimpleTableWhere(SimpleTableWhere[] sqlWhere)

  push down the where condition based the table. each simpleTableWhere is "AND" relation.

  Specified by:
    `setSimpleTableWhere` in interface `TableFilter`

### setSelectedColumn

    public boolean setSelectedColumn(java.lang.String[] selectedColumn)

  push down the selected column base the table.

  Specified by:
    `setSelectedColumn` in interface `TableFilter`

### setSortByColumn

    public boolean setSortByColumn(java.lang.String sortByColumn)

  Have join base the sortByColumn, push down the sort column.

  Specified by:
    `setSortByColumn` in interface `TableFilter`

### setAllColumns

    public boolean setAllColumns(java.lang.String[] columns)

  Specified by:
    `setAllColumns` in interface `TableFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD